Follow

Wave Plus Smartphone Requirements

Airthings Wave Plus works with a dedicated app available to iOS and Android devices.

Bluetooth requirements: Bluetooth ver. 4.2 and above.

Android-supported OS:

Android 5.0 - 5.1.1 Lollipop

Android 6.0 - 6.0.1 Marshmallow

Android 7.0 - 7.1.1 Nougat

Android 8.0 - 8.1 Oreo

 

Apple-supported OS:

iOS 10 and above

Was this article helpful?
2 out of 3 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.